Bug 750645 - (CVE-2011-4101) CVE-2011-4101 wireshark: NULL pointer dereference in Infiniband dissector can cause a crash
CVE-2011-4101 wireshark: NULL pointer dereference in Infiniband dissector can...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20111020,reported=2...
: Security
Depends On: 750649
Blocks: 750654
  Show dependency treegraph
 
Reported: 2011-11-01 17:08 EDT by Vincent Danen
Modified: 2016-03-04 05:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-03 02:04:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-11-01 17:08:23 EDT
A flaw in the Infiniband dissector could cause Wireshark 1.4.0 through 1.4.9 and 1.6.0 through 1.6.3 to crash by dereferencing a NULL pointer by reading a malformed packet trace file or if someone were to inject a malformed packet onto the wire.  This is corrected in wireshark 1.6.3

References:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6476
http://anonsvn.wireshark.org/viewvc?view=revision&revision=39500


External References:

http://www.wireshark.org/security/wnpa-sec-2011-18.html
Comment 1 Vincent Danen 2011-11-01 17:15:50 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 750649]
Comment 2 Vincent Danen 2011-11-01 18:05:36 EDT
This was assigned the name CVE-2011-4101:

http://www.openwall.com/lists/oss-security/2011/11/01/9
Comment 3 Huzaifa S. Sidhpurwala 2011-11-03 02:04:32 EDT
Statement:

Not vulnerable. This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 4, 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.